/* 
  ==================================================
    Button
  --------------------------------------------------
    Dependencies:
      - variables
  ==================================================
*/

  @{buttonClass} {
    background: transparent;
    position: relative;
    overflow: hidden;
    display: inline-block;
    vertical-align: middle;
    
    color: @cBlack;
    font-size: 1em;
    line-height: 1.2;
    font-weight: 600;
    text-align: center;
    letter-spacing: .02em;
    text-decoration: none;
    text-transform: uppercase;
    border: 2px solid @cYellow;
    cursor: pointer;
    outline: none;
    box-sizing: border-box;
    transition: background-color ease @transitionDuration, border-color ease @transitionDuration;
    &:not(.extra) {
      border-radius: 2px;
      padding: 1.44em 2.44em;
    }
    &.extra {
      background: linear-gradient(to bottom, rgba(255,205,0,1) 0%,rgba(255,170,0,1) 100%);
      border-radius: 6px;
      padding: 1.14em 4.52em;
      .title {
        font-size: 1.15em;
      }
    }
    @supports ((-webkit-backdrop-filter: blur(3px)) or (backdrop-filter: blur(3px))) {
      backdrop-filter: blur(3px);
    }
    .title, .sub-title {
      position: relative;
      z-index: 1;
      pointer-events: none;
      &.ico {
        &:before {
          display: inline-block;
          vertical-align: top;
          margin: 0 .6em 0 0;
        }
      }
    }
      .sub-title {
        display: block;
        opacity: .5;
        text-transform: none;
      }
    .ripple {
      position: absolute;
      z-index: 0;
      background: fade(@cWhite, 20%);
      border-radius: 100%;
      opacity: 0;
      pointer-events: none;
      transform: scale(.2);
      animation: ripple .75s ease-out;
    }
    @keyframes ripple {
      from {
        opacity: 1;
      }
      to {
        transform: scale(2);
        opacity: 0;
      }
    }
    &[disabled] {
      opacity: .5;
    }
    &:not([disabled]) {
      &:hover, &:active {
        background-color: @cYellow;
      }
      &:active {
        border-color: darken(@cYellow, 5%);
      }
    }
    &.white {
      &:not([disabled]) {
        @supports not ((-webkit-backdrop-filter: blur(3px)) or (backdrop-filter: blur(3px))) {
          background-color: fade(@cWhite, 80%);
        }
        &:hover, &:active {
          background-color: @cYellow;
        }
      }
    }
    &.yellow {
      &:not([disabled]) {
        background-color: @cYellow;
      }
    }
    @media screen {
      @media (min-width: 761px) {
        & + & {
          margin-left: 2.44em;
        }
      }
      @media (max-width: 640px) {
        width: 100%;
        &:not(.extra) {
          padding: 1.44em;
        }
        &.extra {
          padding: 1.14em 2.28em;
        }
        & + & {
          margin-top: 1.44em;
        }
      }
    }
  }
